Busy Mode

Purpose

This endpoint allows you to control whether an individual store or all stores within a location are active i.e. accepting online orders. This corresponds to the Deliverect function to set a store to 'Busy Mode' (see user guide here)

Format

The isActive boolean will indicate whether the store is to be set active and accepting orders or not. The status can be applied at either location or channel level, as described below;

1. Set 'Active' state by Location

With the endpoint containing a valid /locationId this will have the effect of changing the store status of all stores within a location.

2. Set 'Active' state by Channel

Individual stores within a location can specified in an array of channelLinks, where the channelLinkId for each channel can be included this will apply to the entire location.

Busy Mode Duration
Please note that whilst channel platforms will support stores being set inactive, this typically applies for the current day operations. Many channels will revert any closed status at the end of normal operating hours.

Set "Timed Busy Mode"

Additionally, when setting "isActive": false, i.e. turning 'Busy Mode' on, a time can be specified when this status should be automatically lifted. To disable the closed status, specify the time at which the store should re-open as "disableAt": "yyyy-MM-ddTHH:mm:ssZ"

Opening hours need to be set at location level to use "Timed Busy Mode".

NB: Updating store status does not override a stores normal operating hours set.

Required Attributes
Fields marked with must be included in the request payload — the request will be rejected without them.

ParameterMeaningType
isActive The flag to indicates that the store is to be set as busy/online (isActive)boolean
channelLinksOptional to specify an array of channel links IDs to be put in busy/online morestring
disableAtOptional to specify a time at which the store should re-openstring
Path Params
string
required
Body Params
boolean
enum
required
Allowed:
date-time
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json